# Uses of Class
org.apache.sling.feature.extension.apiregions.api.config.PropertyDescription

Packages that use PropertyDescription
Package
Description
org.apache.sling.feature.extension.apiregions.api.config
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of PropertyDescription in org.apache.sling.feature.extension.apiregions.api.config

Subclasses of PropertyDescription in org.apache.sling.feature.extension.apiregions.api.config
Modifier and Type
Class
Description
`class`
`FrameworkPropertyDescription`
A framework property description This class is not thread safe.
Methods in org.apache.sling.feature.extension.apiregions.api.config that return types with arguments of type PropertyDescription
Modifier and Type
Method
Description
`Map<String,PropertyDescription>`
ConfigurableEntity.`getPropertyDescriptions()`
Get the properties

## Uses of PropertyDescription in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation with parameters of type PropertyDescription
Modifier and Type
Method
Description
`PropertyValidationResult`
PropertyValidator.`validate(Object value, PropertyDescription desc)`
Validate the value against the property definition
`PropertyValidationResult`
PropertyValidator.`validate(Object value, PropertyDescription desc, Mode mode)`
Validate the value against the property definition